import excel TN_warn, firstrow allstring clear

g receive_date = date(DateNoticePosted,"MDY")
g layoff_date = date(ClosureLayoffDate,"MDY")
format receive_date layoff_date %td
g firm_name = upper(trim(Company))
g county_name = upper(trim(County))
g workers_affected = real(AffectedWorkers)

g state = "TN"

// Fix County Mistakes
drop if county_name == "BARBOURVILLE" // Appears to be in KY
replace county_name = "RHEA" if county_name == "DAYTON"
replace county_name = "LOUDON" if county_name == "LENOIR"
drop if county_name == "FRANKFORT, KY" // Verified in letter Kentucky

g flag_loc = 0
replace flag_loc = 1 if (county_name == "ATHENS, ETOWAH" | county_name == ///
   "BRADLEY, HAMILTON" | ///
   county_name == "SWEETWATER, MADISONVILLE, TELCO PLAINS, VONORE, KINGSTON, OAK RIDGE")




// Manuel # of Workers Affected Fixes
g flag_affected = 0

replace workers_affected = 4 if AffectedWorkers == "3-4"
replace flag_affected = 1 if AffectedWorkers == "3-4"
replace workers_affected = 35 if AffectedWorkers == "30-40"
replace flag_affected = 1 if AffectedWorkers == "30-40"
replace workers_affected = 43 if AffectedWorkers == "40-45"
replace flag_affected = 1 if AffectedWorkers == "40-45"
replace workers_affected = 50 if AffectedWorkers == "50+/-"
replace flag_affected = 2 if AffectedWorkers == "50+/-"







keeporder receive_date layoff_date firm_name state county_name workers_affected ///
	flag_loc flag_affected

	


save tn_warn, replace
